#

API Docs for: 2.0.0
Show: Inherited Protected Private Deprecated

# AbstractFilter Class

Defined in: `src/pixi/filters/AbstractFilter.js:5`
Module: PIXI

This is the base class for creating a PIXI filter. Currently only webGL supports filters. If you want to make a custom filter this should be your base class.

## Constructor

### `AbstractFilter`

(

- `fragmentSrc`
- `uniforms`

)

Defined in `src/pixi/filters/AbstractFilter.js:5`

#### Parameters:

- `fragmentSrc` Array

  The fragment source in an array of strings.

- `uniforms` Object

  An object containing the uniforms for this filter.

- Index
- Methods
- Properties

## Item Index

### Methods

- syncUniforms

### Properties

- dirty
- fragmentSrc
- padding
- passes
- shaders
- uniforms

## Methods

### `syncUniforms`

()

Defined in `src/pixi/filters/AbstractFilter.js:60`

Syncs the uniforms between the class object and the shaders.

## Properties

### `dirty`

Boolean

Defined in `src/pixi/filters/AbstractFilter.js:31`

### `fragmentSrc`

Array private

Defined in `src/pixi/filters/AbstractFilter.js:50`

### `padding`

Number

Defined in `src/pixi/filters/AbstractFilter.js:37`

### `passes`

Array an array of filter objects private

Defined in `src/pixi/filters/AbstractFilter.js:15`

An array of passes - some filters contain a few steps this array simply stores the steps in a liniear fashion. For example the blur filter has two passes blurX and blurY.

### `shaders`

Array an array of shaders private

Defined in `src/pixi/filters/AbstractFilter.js:24`

### `uniforms`

Object private

Defined in `src/pixi/filters/AbstractFilter.js:43`